LoadTracker(Jul 19, 2026)

NAME
loadtracker - C64 music editor

SYNOPSIS
loadtrk [songname] [options]

DESCRIPTION
This manual page documents briefly the loadtrk command.

loadtracker is a C64 music tracker derived from goattracker. It supports emulated output via the software reSIDfp engine or the exSID soundcard, and produces songs in its gt2 format (*.SNG). The program can also export tunes in SID format, BIN format, or Commodore PRG format for inclusion on a floppy you can stick into a 1541/1571/1581 drive. Like most tracker programs, the program is able to import instrument files, create and modify track patterns, set the order of playback of patterns and change details of the song such as the title and author. If you are familiar with tracker-like programs, then LoadTracker will feel like a simple version of those, though with differences attributable to the hardware. People new to composing in general should look up other information on composing on the C64.

-Axx
    Set ADSR parameter for hardrestart in hex. DEFAULT=0F00

-Dxx
    Pattern row display (0 = decimal, 1 = hex, 2 = decimal w/dots, 3 = hex w/dots)

-Exx
    Set emulated SID model (0 = 6581 1 = 8580) DEFAULT=6581

-Fxx
    Set custom SID clock cycles per second (0 = use PAL/NTSC default)

-Gxx
    Set pitch of A-4 in Hz (0 = use default frequencytable, close to 440Hz)

-Ixx
    Set reSIDfp resampling mode (0 = interpolation, 1 = resampling) DEFAULT=1

-Jxx
    Set special note names (2 chars for every note in an octave/cycle, e.g. C-DbD-EbE-F-GbG-AbA-BbB-)

-Kxx
    Note-entry mode (0 = Protracker, 1 = DMC, 2 = Janko) DEFAULT=Protracker

-Lxx
    SID memory location in hex. DEFAULT=D400

-Mxx
    Set sound mixing rate DEFAULT=48000

-Oxx
    Set pulseoptimization/skipping (0 = off, 1 = on) DEFAULT=on

-Qxx
    Set equal divisions per octave (12 = default, 8.2019143 = Bohlen-Pierce)

-Rxx
    Set realtime-effect optimization/skipping (0 = off, 1 = on) DEFAULT=on

-Sxx
    Set speed multiplier (0 for 25Hz, 1 for 1x, 2 for 2x etc.)

-Vxx
    Set finevibrato conversion (0 = off, 1 = on) DEFAULT=on

-WXxx
    Set window type (0 = window, 1 = fullscreen) DEFAULT=window

-Yxx
    Path to a Scala tuning file .scl

-Zxx
    Set random SID write delay in cycles (0 = off) DEFAULT=off

-bxx
    Set filter curve (0.0 (dark) to 1.0 (bright))

-cxx
    Set combined waveforms strength (0 weak, 1 average, 2 strong) DEFAULT=average

-xxx
    Use exdSID (0 = off, 1 = on)

-N  Use NTSC timing

-P  Use PAL timing (DEFAULT)

-W  Write sound output to a file SIDAUDIO.RAW

-?  Show help

-?? Standalone online help window

--dark
    Use original dark colorscheme

SEE ALSO
ocp(1), protracker(1), milkytracker(1), schism(1)

AUTHOR
loadtracker was written by Lasse Öörni, Jan Wassermann, Leandro Nini.

This manual page was written by Gürkan Sengün <gurkan@phys.ethz.ch>, for the Debian project (but may be used by others).